/*
 * Copyright (c) 2022 Reza Mahdi. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are hereby granted under terms of BSD 3-Clause License.
 * See LICENSE for more information.
 */

#ifndef DNSPIDER_GENERATOR_H_
#define DNSPIDER_GENERATOR_H_

#if defined(HAVE_CONFIG_H)
#include <config.h>
#endif

#if defined(HAVE_PCRE2)
#define PCRE2_CODE_UNIT_WIDTH 8
#include <pcre2.h>
#endif

typedef struct
{
  void (*rewinde) (void *data);
  char (*next_entry) (void *data);
  unsigned (*remaining_entries) (void *data);
  unsigned (*used_entries) (void *data);
} generator_source_t;

typedef struct {
  
} generator_t;
int generator_semantic_analyse();

#endif
