/*
 * Copyright (c) 2022 Reza Mahdi. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are hereby granted under terms of BSD 3-Clause License.
 * See LICENSE for more information.
 */

#define TEST_MAIN
#define TEST_SEGFAULT
#include "test.h"

#include <parser.h>

TEST (parser, parse_range)
{
  const char *selector = "[1:32~64]";
  list_t lexems;
  parse_target (selector, &lexems);
}

int
main (int argc, const char *argv[])
{
  parser_init ();
  int result = test_main (argc, argv);
  return result;
}